import json
import sys, io, os

def getStrList (str):
    lst = [str(cVal) for cVal in str.split(',')]
    
    if len(lst) > 1:
        return lst
    else:
        return lst[0]


def getIntList ( str ):
    lst = [int(cVal) for cVal in str.split(',')]
    
    if len(lst) > 1:
        return lst
    else:
        return lst[0]

def readHeader ( inFile, headerSize ):
    headerDict = {}
    for t in range (headerSize):
        line = inFile.readline ().strip ('\r\n')
        parts = line.split ('=')
        
        if parts[0] == 'name':
            headerDict[parts[0]] = parts[1]
        else:
            headerDict[parts[0]] = getIntList(parts[1])
    return headerDict
    
def readGridInfo (inFile, levelSize):
    cGrid = []
    for i in range ( levelSize[1] ):
        cline = inFile.readline().strip ('\r\n')
        cGrid.insert ( 0, getIntList (cline) )
        
    #Return a flattened version of our lists
    return sum(cGrid, [])
	
def processFile ( fileInName ):	 
	print ( "Opening input:" + fileInName )
	inFile = open ( fileInName, "r" )
	print ( "Opening output" )
	outFile = open ( fileInName + ".txt", "w" )

	print ( "Reading header" )
	header = readHeader(inFile, 7)
	levelGrids = {}

	print ( "Reading grids" )
	while True:
		cLine = inFile.readline()
		if len(cLine) == 0: break; #EOF
		
		if cLine == '': continue
		
		lineType = cLine.split ('=')[0]
		if lineType == 'border': continue
		
		levelGrids[lineType] = readGridInfo (inFile, header['size'])

	json.dump ( {'header':header, 'grids':levelGrids}, outFile, sort_keys=True, indent=2 )
	inFile.close ()
	outFile.close ()
try:
	for cFile in sys.argv[1:]:
		processFile ( cFile )
except:
	print ( "Exception thrown" )

os.system ( "pause" )